Loading...
Searching...
No Matches
FFGenerator Class Reference

generate all elements in F_p starting from 0 More...

`#include <cf_generator.h>`

## Public Member Functions

| FFGenerator ()
| ~FFGenerator ()
bool | hasItems () const
void | reset ()
CanonicalForm | item () const
void | next ()
void | operator++ ()
void | operator++ (int)
CFGenerator * | clone () const
| FFGenerator ()
| ~FFGenerator ()
bool | hasItems () const
void | reset ()
CanonicalForm | item () const
void | next ()
void | operator++ ()
void | operator++ (int)
CFGenerator * | clone () const
| FFGenerator ()
| ~FFGenerator ()
bool | hasItems () const
void | reset ()
CanonicalForm | item () const
void | next ()
void | operator++ ()
void | operator++ (int)
CFGenerator * | clone () const
Public Member Functions inherited from CFGenerator
| CFGenerator ()
virtual | ~CFGenerator ()
| CFGenerator ()
virtual | ~CFGenerator ()
| CFGenerator ()
virtual | ~CFGenerator ()

## Private Attributes

int | current

## Detailed Description

generate all elements in F_p starting from 0

Definition at line 55 of file cf_generator.h.

## Constructor & Destructor Documentation

## FFGenerator() [1/3]

FFGenerator::FFGenerator | ( |  | ) |

inline

Definition at line 60 of file cf_generator.h.

: current(0) {}
FFGenerator::current
int current
Definition cf_generator.h:58

## ~FFGenerator() [1/3]

FFGenerator::~FFGenerator | ( |  | ) |

inline

Definition at line 61 of file cf_generator.h.

{}

## FFGenerator() [2/3]

FFGenerator::FFGenerator | ( |  | ) |

inline

Definition at line 725 of file factory.h.

: current(0) {}

## ~FFGenerator() [2/3]

FFGenerator::~FFGenerator | ( |  | ) |

inline

Definition at line 726 of file factory.h.

{}

## FFGenerator() [3/3]

FFGenerator::FFGenerator | ( |  | ) |

inline

Definition at line 725 of file factory.h.

: current(0) {}

## ~FFGenerator() [3/3]

FFGenerator::~FFGenerator | ( |  | ) |

inline

Definition at line 726 of file factory.h.

{}

## Member Function Documentation

## clone() [1/3]

CFGenerator * FFGenerator::clone | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

Definition at line 52 of file cf_generator.cc.

{
return new FFGenerator();
}
FFGenerator::FFGenerator
FFGenerator()
Definition cf_generator.h:60

## clone() [2/3]

CFGenerator * FFGenerator::clone | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

## clone() [3/3]

CFGenerator * FFGenerator::clone | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

## hasItems() [1/3]

bool FFGenerator::hasItems | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

Definition at line 35 of file cf_generator.cc.

{
return current < ff_prime;
}
ff_prime
VAR int ff_prime
Definition ffops.cc:23

## hasItems() [2/3]

bool FFGenerator::hasItems | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

## hasItems() [3/3]

bool FFGenerator::hasItems | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

## item() [1/3]

CanonicalForm FFGenerator::item | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

Definition at line 40 of file cf_generator.cc.

{
ASSERT( current < ff_prime, "no more items" );
return CanonicalForm( int2imm_p( current ) );
}
ASSERT
#define ASSERT(expression, message)
Definition cf_assert.h:99
int2imm_p
InternalCF * int2imm_p(long i)
Definition imm.h:101

## item() [2/3]

CanonicalForm FFGenerator::item | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

## item() [3/3]

CanonicalForm FFGenerator::item | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

## next() [1/3]

void FFGenerator::next | ( |  | ) |

virtual

Reimplemented from CFGenerator.

Definition at line 46 of file cf_generator.cc.

{
ASSERT( current < ff_prime, "no more items" );
current++;
}

## next() [2/3]

void FFGenerator::next | ( |  | ) |

virtual

Reimplemented from CFGenerator.

## next() [3/3]

void FFGenerator::next | ( |  | ) |

virtual

Reimplemented from CFGenerator.

## operator++() [1/6]

void FFGenerator::operator++ | ( |  | ) |

inline

Definition at line 66 of file cf_generator.h.

{ next(); }
FFGenerator::next
void next()
Definition cf_generator.cc:46

## operator++() [2/6]

void FFGenerator::operator++ | ( |  | ) |

inline

Definition at line 731 of file factory.h.

{ next(); }

## operator++() [3/6]

void FFGenerator::operator++ | ( |  | ) |

inline

Definition at line 731 of file factory.h.

{ next(); }

## operator++() [4/6]

void FFGenerator::operator++ | ( | int |  | ) |

inline

Definition at line 67 of file cf_generator.h.

{ next(); }

## operator++() [5/6]

void FFGenerator::operator++ | ( | int |  | ) |

inline

Definition at line 732 of file factory.h.

{ next(); }

## operator++() [6/6]

void FFGenerator::operator++ | ( | int |  | ) |

inline

Definition at line 732 of file factory.h.

{ next(); }

## reset() [1/3]

void FFGenerator::reset | ( |  | ) |

inline virtual

Reimplemented from CFGenerator.

Definition at line 63 of file cf_generator.h.

{ current = 0; }

## reset() [2/3]

void FFGenerator::reset | ( |  | ) |

inline virtual

Reimplemented from CFGenerator.

Definition at line 728 of file factory.h.

{ current = 0; }

## reset() [3/3]

void FFGenerator::reset | ( |  | ) |

inline virtual

Reimplemented from CFGenerator.

Definition at line 728 of file factory.h.

{ current = 0; }

## Field Documentation

## current

int FFGenerator::current

private

Definition at line 58 of file cf_generator.h.

The documentation for this class was generated from the following files:

- factory/cf_generator.h
- factory/factory.h
- factory/include/factory/factory.h
- factory/cf_generator.cc